/*
** video.h -- image display routines
**
** Copyright 1992, 1993, 1994 by
** Michael J. Gourlay
**
** NO WARRANTEES, EXPRESS OR IMPLIED.
*/

#include "showtime.h"

#ifdef X11
#include <X11/Xos.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

/* These X variables are for the colormap routines in cmap.c */
extern Display       *x_display;
extern int           x_screen;
extern Window        x_window;
extern int           x_depth;
extern unsigned long x_event_mask;
#endif

/* ---------------------------------------------------------------------- */
/* all video.c modules must define these variables: */

/* gm_xoff, gm_yoff are the image offset */
extern int gm_xoff, gm_yoff;

/* gm_xscale, gm_yscale are the image scales */
extern float gm_xscale, gm_yscale;

/* initialize_display must set these values to the actual size of the display */
extern int w_width, w_height;

/* ---------------------------------------------------------------------- */

/* initialize_display : initialize graphics mode with min size widthXheight */
extern void initialize_display(int width, int height);

/* reset_display : put the graphics mode into a normal text mode */
extern void reset_display(void);

extern void clear_display(int);

/* show_image : display an image loaded into memory */
extern void show_image(screendata_t *sdP);
